
#
from System.Collections.Generic import List
from System import Byte, Int32
#



Places = [ [5332, 1364, 0],
[5317, 1365, 0],
[5313, 1355, 0], # steps

[5300, 1355, 0],
[5301, 1340, 0],
[5316, 1336, 0], # steps

[5329, 1333, 0], # top of steps
[5337, 1340, 0],
[5350, 1335, 0],
[5352, 1347, 0],
[5362, 1351, 0],
[5350, 1347, 0],
[5339, 1339, 0],
[5327, 1332, 0],
[5315, 1336, 0],
[5302, 1339, 0],
[5300, 1326, 0],
[5300, 1314, 0],
[5308, 1291, 0],
[5319, 1291, 0],
[5330, 1291, 0],
[5339, 1297, 0],
[5341, 1308, 0],
[5352, 1308, 0],
[5362, 1298, 0],
]

def MoveToPlace(index):
    #Player.PathFindTo(tree.X, tree.Y, tree.Z)
    route = PathFinding.Route()
    route.X = Places[index][0]
    route.Y = Places[index][1]
    route.StopIfStuck = False
    route.IgnoreMobile = True
    route.UseResync = True    
    PathFinding.Go(route)

    
def GoToEnemy():
    #Misc.Resync()
    moreEnemies = True
    anyNefarious = False
    while moreEnemies:
        enemy_filter = Mobiles.Filter()
        enemy_filter.Enabled = True
        enemy_filter.RangeMin = -1
        enemy_filter.RangeMax = -1
        enemy_filter.CheckLineOfSite = True
        enemy_filter.Notorieties = List[Byte](bytes([3, 4, 5, 6]))
        enemies = Mobiles.ApplyFilter(enemy_filter)
        if len(enemies) > 0:
            Misc.SendMessage("{} ENEMIES".format(len(enemies)))
            enemy = Mobiles.Select(enemies, 'Nearest') 
            if enemy.Hue == 0x07a2:
                anyNefarious = True
            route = PathFinding.Route()
            route.X = enemy.Position.X
            route.Y = enemy.Position.Y
            route.StopIfStuck = True
            route.IgnoreMobile = True
            route.UseResync = False    
            PathFinding.Go(route)
            #while Mobiles.FindBySerial(enemy.Serial):
            Misc.SendMessage("Waiting on dead monster")
            Misc.Pause(1000)
            Player.Attack(enemy)
        else:
            Misc.SendMessage("NO ENEMIES")
            moreEnemies = False
    return anyNefarious
        
    
while True:    
    for index in range(0, len(Places), 1):
        MoveToPlace(index)
        Misc.Pause(1000)
        doLoot = GoToEnemy()
        if doLoot:
            Misc.Pause(4000)
            # wait a while for autoloot
    for index in range(len(Places)-1, -1, -1):
        MoveToPlace(index)
        Misc.Pause(1000)
        doLoot = GoToEnemy()
        if doLoot:
            Misc.Pause(4000)
            # wait a while for autoloot

#            